## utidylib 0.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/uTidylib.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/uTidylib.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/uTidylib"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/uTidylib"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## utidylib 0.2

=== debian/changelog ===
utidylib (0.2-9build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:54:41 +0000

utidylib (0.2-9) unstable; urgency=low

  [ Michal Čihař ]
  * Bump standards to 3.9.4.
  * Use debhelper 9.
  * Updated watchfile.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Set Debian Python Modules Team as maintainer (in place of Python
    Applications Packaging Team).
  * Drop obsolete Breaks/Replaces with python2.3-utidylib and
    python2.4-utidylib.

 -- Michal Čihař <nijel@debian.org>  Thu, 31 Oct 2013 10:08:25 +0100

utidylib (0.2-8) unstable; urgency=low

  * Team upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:45:30 +0200

utidylib (0.2-7) unstable; urgency=low

  * Bump standards to 3.9.1.
  * Switch to dh_python2.

 -- Michal Čihař <nijel@debian.org>  Mon, 07 Mar 2011 10:48:18 +0100

utidylib (0.2-6) unstable; urgency=low

  * Add support for handling unicode strings (Closes: #339818).

 -- Michal Čihař <nijel@debian.org>  Tue, 29 Jun 2010 14:47:17 +0200

utidylib (0.2-5) unstable; urgency=low

  * Fix handling of pointer on 64-bit (LP: #307000).
  * Replace Conflicts with Breaks for older package versions.
  * Bump standards to 3.9.0.

 -- Michal Čihař <nijel@debian.org>  Tue, 29 Jun 2010 10:42:50 +0200

utidylib (0.2-4) unstable; urgency=low

  * New maintainer.
  * Remove depdency on python-ctypes (Closes: #580215).
  * Convert patch to quilt and use 3.0 source format.
  * Switch build system to dh from cdbs.
  * Bump standards to 3.8.4.
  * Add ${misc:Depends}.
  * Change section to python.
  * Add homepage control field.
  * Add Vcs-* control fields.
  * No need to ship source readme in binary package.

 -- Michal Čihař <nijel@debian.org>  Tue, 04 May 2010 17:35:13 +0200

utidylib (0.2-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixes dependency on python-ctypes (Closes: #476276).

 -- Michal Čihař <nijel@debian.org>  Tue, 15 Apr 2008 16:42:24 +0200

utidylib (0.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update to new Python Policy (Closes: #373404).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 29 Jun 2006 14:48:22 +0200

utidylib (0.2-3) unstable; urgency=low

  * debian/control: changed dependency on libtidy from
    libtidy0 to libtidy-0.99-0 (Closes: #343991)

 -- Igor Stroh <jenner@debian.org>  Mon, 26 Dec 2005 12:42:30 +0100

utidylib (0.2-2) unstable; urgency=low

  * debian/control: added missing python-dev dependency (Closes: #325679).
    Thanks to Andreas Jochens.

 -- Igor Stroh <jenner@debian.org>  Tue, 30 Aug 2005 10:27:34 +0200

utidylib (0.2-1) unstable; urgency=low

  * Initial release (Closes: #244110)
  * Thanks to Chad Walstrom for providing the original CDBS-based
    packaging infrastructure

 -- Igor Stroh <jenner@debian.org>  Sun, 21 Aug 2005 10:18:04 +0200

=== debian/control ===
Source: utidylib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michal Čihař <nijel@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: python-all (>= 2.6.6-3)
Standards-Version: 3.9.4
Homepage: http://utidylib.berlios.de/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/utidylib/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/utidylib/trunk/

Package: python-utidylib
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, libtidy-0.99-0 (>= 20051018)
Provides: ${python:Provides}
Breaks: ${python:Breaks}
Description: Python wrapper for TidyLib
 Corrects markup in a way compliant with the latest standards, and
 optimal for the popular browsers.  It has a comprehensive knowledge
 of the attributes defined in the HTML 4.0 recommendation from W3C,
 and understands the US ASCII, ISO Latin-1, UTF-8 and the ISO 2022
 family of 7-bit encodings.  In the output:
 .
  * HTML entity names for characters are used when appropriate.
  * Missing attribute quotes are added, and mismatched quotes found.
  * Tags lacking a terminating '>' are spotted.
  * Proprietary elements are recognized and reported as such.
  * The page is reformatted, from a choice of indentation styles.
 .
 This package contains uTidylib, a Python wrapper for TidyLib.

=== debian/watch ===
version=3
http://developer.berlios.de/project/showfiles.php?group_id=1810 .*/uTidylib-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz)|zip)

## utidylib 0.3

=== debian/changelog ===
utidylib (0.3-1build1) yakkety; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 01 Oct 2016 01:18:02 +0000

utidylib (0.3-1) unstable; urgency=low

  [ Michal Čihař ]
  * Switch to new upstream.
  * New upstream release.
    - All patches are now upstream.
    - Brings support for HTML 5 tidy.
  * Bump standards to 3.9.8.
  * Add dh-python to build depends.
  * Adjust Vcs-Svn URL.
  * Adjust dependencies to new tidy library (Closes: #828902).
  * Run testsuite during build.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Michal Čihař <nijel@debian.org>  Thu, 07 Jul 2016 14:52:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,24 @@
 Source: utidylib
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michal Čihař <nijel@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: 
+    debhelper (>= 9), 
+    dh-python, 
+    libtidy5,
+    python-six,
+    python-setuptools
 Build-Depends-Indep: python-all (>= 2.6.6-3)
-Standards-Version: 3.9.4
-Homepage: http://utidylib.berlios.de/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/utidylib/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/utidylib/trunk/
+Standards-Version: 3.9.8
+Homepage: https://cihar.com/software/utidylib/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/utidylib.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/utidylib.git
 
 Package: python-utidylib
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, libtidy-0.99-0 (>= 20051018)
+Depends: ${python:Depends}, ${misc:Depends}, python-six, libtidy5 | libtidy-0.99-0 (>= 20051018)
 Provides: ${python:Provides}
 Breaks: ${python:Breaks}
 Description: Python wrapper for TidyLib

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_test:
	python setup.py test

=== debian/watch ===
version=3
http://dl.cihar.com/utidylib/uTidylib-(.*)\.tar.bz2

## utidylib 0.5

=== debian/changelog ===
utidylib (0.5-3) unstable; urgency=medium

  [ Michal Čihař ]
  * Cleanup debian/control, bump standards to 4.2.1.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name,
    Repository, Repository-Browse.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938763

 -- Sandro Tosi <morph@debian.org>  Sat, 25 Jan 2020 00:36:13 -0500

utidylib (0.5-2) unstable; urgency=medium

  * Fix dependeny on python3 package.

 -- Michal Čihař <nijel@debian.org>  Fri, 16 Nov 2018 07:13:12 +0100

utidylib (0.5-1) unstable; urgency=medium

  * New upstream release.
  * Change dependency to libtidy5deb1 (Closes: #911904).

 -- Michal Čihař <nijel@debian.org>  Thu, 01 Nov 2018 08:44:22 +0100

utidylib (0.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove trailing whitespaces

  [ Michal Čihař ]
  * New upstream release.
    - Fixes operation with recent html-tidy (Closes: #910974).
    - Adds support for Python 3.
  * Build Python 3 version of the library.
  * Add libtidy5.6 to dependencies.

 -- Michal Čihař <nijel@debian.org>  Mon, 15 Oct 2018 15:15:15 +0200

=== debian/control ===
Source: utidylib
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michal Čihař <nijel@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               libtidy5deb1 | libtidy5,
               python3-all,
               python3-six,
               python3-setuptools
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/utidylib
Vcs-Git: https://salsa.debian.org/python-team/modules/utidylib.git
Homepage: https://cihar.com/software/utidylib/

Package: python3-utidylib
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-six,
         libtidy5deb1 | libtidy5 | libtidy-0.99-0
Breaks: ${python3:Breaks}
Provides: ${python3:Provides}
Description: Python wrapper for TidyLib
 Corrects markup in a way compliant with the latest standards, and
 optimal for the popular browsers.  It has a comprehensive knowledge
 of the attributes defined in the HTML 4.0 recommendation from W3C,
 and understands the US ASCII, ISO Latin-1, UTF-8 and the ISO 2022
 family of 7-bit encodings.  In the output:
 .
  * HTML entity names for characters are used when appropriate.
  * Missing attribute quotes are added, and mismatched quotes found.
  * Tags lacking a terminating '>' are spotted.
  * Proprietary elements are recognized and reported as such.
  * The page is reformatted, from a choice of indentation styles.
 .
 This package contains uTidylib, a Python 3 wrapper for TidyLib.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=utidylib

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/watch ===
version=3
https://dl.cihar.com/utidylib/uTidylib-(.*)\.tar.bz2

## utidylib 0.8

=== debian/changelog ===
utidylib (0.8-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ Boyuan Yang ]
  * debian/watch: Monitor github release.
  * New upstream version 0.8.
  * debian/control: Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Apr 2022 09:45:38 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: utidylib
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michal Čihař <nijel@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libtidy5deb1 | libtidy5,
                python3-all,
                python3-six,
                python3-setuptools
-Standards-Version: 4.2.1
-Vcs-Browser: https://salsa.debian.org/python-team/modules/utidylib
-Vcs-Git: https://salsa.debian.org/python-team/modules/utidylib.git
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/utidylib
+Vcs-Git: https://salsa.debian.org/python-team/packages/utidylib.git
 Homepage: https://cihar.com/software/utidylib/
 
 Package: python3-utidylib

## utidylib 0.9

=== debian/changelog ===
utidylib (0.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.9
  * remove extranous dependency on python3-six
  * set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Thu, 22 Feb 2024 19:12:20 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                dh-python,
                libtidy5deb1 | libtidy5,
                python3-all,
-               python3-six,
                python3-setuptools
+Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/utidylib
 Vcs-Git: https://salsa.debian.org/python-team/packages/utidylib.git
@@ -18,7 +18,6 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-six,
          libtidy5deb1 | libtidy5 | libtidy-0.99-0
 Breaks: ${python3:Breaks}
 Provides: ${python3:Provides}

## utidylib 0.10

=== docs/requirements.txt ===
furo==2024.1.29
Sphinx==7.2.6

=== debian/changelog ===
utidylib (0.10-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Remove retired Uploader. Thanks to Michal Čihař
    for the past work!

 -- Boyuan Yang <byang@debian.org>  Tue, 29 Oct 2024 11:19:18 -0400

utidylib (0.10-2) unstable; urgency=low

  * Team upload.

  [ Alexandre Detiste ]
  * Rewrite d/copyright in machine readable format
  * Remove obsolete field Name from debian/upstream/metadata.
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.6.2
    - no changes needed.

  [ Sudip Mukherjee ]
  * Depend on libtidy58. (Closes: #1077224)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 30 Jul 2024 10:31:29 +0100

utidylib (0.10-1) unstable; urgency=medium

  * New upstream version 0.10
  * use new dh-sequence-python3
  * add myself as uploader

 -- Alexandre Detiste <tchet@debian.org>  Thu, 28 Mar 2024 07:48:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: utidylib
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Michal Čihař <nijel@debian.org>
+Uploaders: Alexandre Detiste <tchet@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               libtidy5deb1 | libtidy5,
+               dh-sequence-python3,
+               libtidy58,
                python3-all,
                python3-setuptools
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/utidylib
 Vcs-Git: https://salsa.debian.org/python-team/packages/utidylib.git
 Homepage: https://cihar.com/software/utidylib/
@@ -18,7 +18,7 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
-         libtidy5deb1 | libtidy5 | libtidy-0.99-0
+         libtidy58,
 Breaks: ${python3:Breaks}
 Provides: ${python3:Provides}
 Description: Python wrapper for TidyLib

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=utidylib

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/nijel/utidylib/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## utidylib 1.0.0

=== docs/requirements.txt ===
furo==2025.12.19
Sphinx==9.1.0

=== debian/changelog ===
utidylib (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump Standards-Version to 4.7.3.
  * debian/control: Migrate to pybuild-plugin-pyproject.
  * python3-utidylib.lintian-overrides: Make package lintian clean by
    ignoring the false positive entry.

 -- Boyuan Yang <byang@debian.org>  Fri, 20 Feb 2026 23:10:24 -0500

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Alexandre Detiste <tchet@debian.org>
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                libtidy58,
                python3-all,
-               python3-setuptools
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+               python3-setuptools,
+               python3-pytest <!nocheck>,
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/utidylib
 Vcs-Git: https://salsa.debian.org/python-team/packages/utidylib.git
 Homepage: https://cihar.com/software/utidylib/

=== debian/watch ===
Version: 5

Template: GitHub
Owner: nijel
Project: utidylib
